*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}

body{
    font-family:"Comfortaa", sans-serif;
    background-image:url("img/FONDO.jpg");
    background-size:cover;
    background-position:center;
    background-repeat:no-repeat;
    min-height:100vh;
    display:flex;
    flex-direction:column;
}


header{
    background:#111111;
    color:white;
    padding:18px 50px;
    box-shadow:0px 3px 12px rgba(0,0,0,.15);
}

header h1{
    font-size:clamp(26px,2vw,38px);
    letter-spacing:7px;
    font-weight:500;
}

main{
    flex:1;
    display:flex;
    justify-content:center;
    align-items:center;
    padding:60px 40px;
}

.hero{
    position:relative;
    width:min(1200px,95vw);
    display:flex;
    justify-content:flex-end;
    align-items:center;
}

.polaroid{
    position:absolute;
    left:0;
    top:50%;
    transform:translateY(-50%);
    z-index:10;
}

.polaroid img{
    width:330px;
    transform:rotate(-12deg);
    filter:drop-shadow(8px 10px 15px rgba(0,0,0,.25));
}

.card{
    position:relative;
    width:850px;
    min-height:430px;
    margin-left:180px;
    background:#9A96BD;
    border-radius:8px;
    box-shadow:0px 18px 35px rgba(0,0,0,.12);
}

/* Apartado */

.card-top{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:10px;
    background:#5F5A8B;
}

.nombre{
    position:absolute;
    top:-25px;
    right:35px;
    background:#9A96BD;
    color:white;
    padding:12px 26px;
    border-radius:6px 6px 0 0;
    font-size:18px;
    font-weight:500;
}

.contenido{
    height:100%;
    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;
    padding:80px 50px;
}

.contenido h2{
    color:white;
    font-size:clamp(28px,2.2vw,46px);
    text-align:center;
    line-height:1.5;
    font-weight:500;
    margin-bottom:55px;
}

.botones{
    display:flex;
    align-items:center;
    justify-content:center;
    gap:45px;
}

/* Botón transparente */

.btn-img{
    background:none;
    border:none;
    cursor:pointer;
}

/* Imagen */

.btn-img img{
    width:175px;
    display:block;
    transition:
        transform .35s ease,
        filter .35s ease;
}

.btn-img:hover img{
    transform:scale(1.10);
    filter:drop-shadow(0 10px 12px rgba(0,0,0,.18));
}

/* Click */

.btn-img:active img{
    transform:scale(.96);
}

/* Letra O */

.separador{
    color:white;
    font-size:58px;
    font-weight:300;
}

/*FOOTER*/

footer{
    background:#0E0A28;
    color:white;
    display:flex;
    justify-content:space-evenly;
    align-items:center;
    flex-wrap:wrap;
    gap:20px;
    padding:18px;
    font-size:15px;
}

.contacto{
    font-weight:600;
}

@media(max-width:1000px){

.hero{
    justify-content:center;
}

.polaroid{
    position:relative;
    left:auto;
    top:auto;
    transform:none;
    margin-bottom:-45px;
}

.hero{
    flex-direction:column;
}

.card{
    width:100%;
    margin-left:0;
    }
}

/* Interfaz de celular*/

@media(max-width:700px){
header{
    text-align:center;
    padding:18px;
}

header h1{
    letter-spacing:4px;
}

.polaroid img{
    width:240px;
}

.nombre{
    position:static;
    width:100%;
    text-align:center;
    border-radius:0;
}

.contenido{
    padding:50px 25px;
}

.contenido h2{
    font-size:28px;
}

.botones{
    flex-direction:column;
    gap:25px;
}

.btn-img img{
    width:145px;
}

.separador{
    font-size:40px;
}

footer{
    flex-direction:column;
    text-align:center;
    }
}
